#  WriteFreely SwiftUI MultiPlatform Client

A multiplatform (iOS, iPadOS, and macOS) client for [WriteFreely](https://writefreely.org/), built in SwiftUI.

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes.

### Prerequisites

⚠️ Building and testing the iOS targets will work on any version of macOS that supports Xcode 12, but building and testing the macOS target requires macOS 11 (Big Sur) beta 5.

- Xcode 12 beta 5
- [SwiftLint](https://github.com/realm/SwiftLint)

SwiftLint is run as a build phase for all targets, so that linting warnings and errors are shown in Xcode.

## Running the tests

To run the tests, select the scheme you want to test (iOS or macOS) and choose **Product** &rarr; **Test** from the Xcode menu.

## Contributing

Please read CONTRIBUTING.md for details on our code of conduct, and the process for submitting pull requests to us.

## Versioning

We use [SemVer](https://semver.org/) for versioning and track changes in [CHANGELOG.md](CHANGELOG.md). For the versions available, see the
[tags on this repository](https://github.com/writeas/writefreely-swiftui-multiplatform/tags).

## Authors

- **Angelo Stavrow** - _Initial work_ - [AngeloStavrow](https://github.com/AngeloStavrow)

See also the list of [contributors](https://github.com/writeas/writefreely-swiftui-multiplatform/contributors) who participated in this project.

## License

This project is licensed under the GPL v3 License. See the [LICENSE.md](LICENSE.md) file for details.
